package ex3;

import java.awt.Point;
/*
 * Point du dessin. Les points qui ne sont pas "painted" marquent
 * les discontinuits du trait.
 */
public class PaintedPoint extends Point {

	private static final long serialVersionUID = -1710747409925706544L;

	boolean painted;

	public PaintedPoint(int x, int y, boolean painted){
		super(x,y);
		this.painted = painted;
	}
	
	public boolean isPainted(){
		return painted;
	}
	
}
