package ex3;

import java.awt.BorderLayout;
import java.awt.Color;

import javax.swing.*;

public class Paint {

	JFrame frame;
	JButton clearButton;
	JPanel mainPanel;
	Drawing drawing;
	
	public void run(){
		frame = new JFrame("Paint");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		mainPanel = new JPanel(new BorderLayout());
		
		drawing = new Drawing();
		drawing.setBackground(Color.WHITE);
		clearButton = new JButton("Clear");
		mainPanel.add(clearButton, BorderLayout.SOUTH);
		mainPanel.add(drawing, BorderLayout.CENTER);
		
		//ajout des observateurs au Panel Drawing et au bouton clear
		DrawingMouseListener mouseListener= new DrawingMouseListener(drawing);
		drawing.addMouseMotionListener(mouseListener);
		drawing.addMouseListener(mouseListener);
		clearButton.addActionListener(new ClearButtonListener(drawing));
		
		frame.getContentPane().add(mainPanel);
		frame.setSize(640,480);
		frame.setVisible(true);
	}
	
	
	public static void main(String[] args){
		Paint app = new Paint();
		app.run();
	}
}
